<?php
    $holiday_hide_ssec = get_theme_mod('holiday_feat_hd','1');
    if( $holiday_hide_ssec == '' ){
		
	$getfeatsecttl = esc_html(get_theme_mod('holiday_feat_ttl'));
    $holdfeatttl = '';
	if( !empty( $getfeatsecttl ) ){
		$holdfeatttl = '<div class="section_head"><h2 class="section_title">'.$getfeatsecttl.'</h2></div>';
	}
?>
<section class="our-features">
    <div class="container">
		<?php echo $holdfeatttl; ?>
        <div class="align row">
            <?php
                for($fs = 1; $fs<4; $fs++) {
                    if( get_theme_mod( 'holiday_feat'.$fs ) != '' ){
                        $feat_query = new WP_Query( array( 'page_id' => get_theme_mod( 'holiday_feat'.$fs ) ) );
                        while( $feat_query->have_posts() ) : $feat_query->the_post();
            ?>
			<div class="feat-box">
				<div class="inner-feat">
					<a href="<?php echo get_the_permalink(); ?>" class="link-expand"></a>
					<div class="feat-icon"><?php echo the_post_thumbnail('holiday-lite-feat-thumb');?></div>
					<div class="feat-content">
						<h3><?php the_title(); ?></h3>
						<p><?php echo holiday_lite_custom_excerpt(20); ?></p>
					</div>
				</div>
			</div>
            <?php       endwhile;
                    }
                }
            ?>
        </div><!-- align -->
    </div><!-- container -->
</section><!-- features -->
<?php
    }
?>