<?php
if( is_home() || is_front_page() ){
	$holiday_hideslider = get_theme_mod('holiday_slider_hd', '1');
	if($holiday_hideslider == ''){
		$holiday_lite_pages = array();
		for($sld=1; $sld<4; $sld++) { 
			$mod = absint( get_theme_mod('slide'.$sld));
			if ( 'page-none-selected' != $mod ) {
				$holiday_lite_pages[] = $mod;
			} 
		}
		if( !empty($holiday_lite_pages) ) :
			$args = array(
			  'posts_per_page' => 3,
			  'post_type' => 'page',
			  'post__in' => $holiday_lite_pages,
			  'orderby' => 'post__in'
			);
			$nivo_query = new WP_Query( $args );
			if ( $nivo_query->have_posts() ) : 
				$sld = 7;
				echo '<section id="holiday_slider"><div class="slider-wrapper theme-default"><div id="slider" class="nivoSlider">';
				$i = 0;
				while ( $nivo_query->have_posts() ) : $nivo_query->the_post();
					$i++;
					$holiday_lite_slideno[] = $i;
					$holiday_lite_slidetitle[] = get_the_title();
					$holiday_lite_slidelink[] = esc_url(get_permalink());
					
					$getsbttl = get_theme_mod('holiday_slide_sub_ttl');
					$holdsbttl = '';
					if( !empty( $getsbttl ) ){
						$holdsbttl = '<h4>'.esc_html($getsbttl).'</h4>';
					}
					
					$getsldreadmore = get_theme_mod( 'holiday_slider_btn' );

					$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');

					if ( $imgSrc[0]!='' ) {
						$imgUrl = $imgSrc[0];
					}

					echo '<img src="'.$imgSrc[0].'" title="#slidecaption'.esc_attr( $i ).'" />';

					$sld++;
				endwhile;
				echo '</div><div class="clear"></div>';
				$k = 0;
				foreach( $holiday_lite_slideno as $holiday_lite_sln ){ ?>
					<div id="slidecaption<?php echo esc_attr( $holiday_lite_sln );?>" class="nivo-html-caption">
						<?php echo $holdsbttl; ?>
						<h2><a href="<?php echo esc_url($holiday_lite_slidelink[$k] ); ?>"><?php echo esc_html($holiday_lite_slidetitle[$k] ); ?></a></h2>
						<?php if( !empty( $getsldreadmore ) ){ ?>
							<a class="slide-button" href="<?php echo esc_url($holiday_lite_slidelink[$k] ); ?>">
								<?php echo esc_html($getsldreadmore); ?>
							</a>
						<?php } ?>
						
					</div>
				<?php $k++;
					wp_reset_postdata();
				}
			endif;
		endif;
		echo '</div></section>';
	}
}